Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | List of all members
eZ\Publish\Core\MVC\ConfigResolverInterface Interface Reference

Interface for config resolvers. More...

Inheritance diagram for eZ\Publish\Core\MVC\ConfigResolverInterface:

## Public Member Functions
| getParameter ($paramName, $namespace=null, $scope=null)
| Returns value for $paramName, in $namespace. More...
| hasParameter ($paramName, $namespace=null, $scope=null)
| Checks if $paramName exists in $namespace. More...
| setDefaultNamespace ($defaultNamespace)
| Changes the default namespace to look parameter into. More...
| getDefaultNamespace ()
| Returns the current default namespace. More...

## Detailed Description

Interface for config resolvers.

Classes implementing this interface will help you get settings for a specific scope. In eZ Publish context, this is useful to get a setting for a specific siteaccess for example.

The idea is to check the different scopes available for a given namespace to find the appropriate parameter. To work, the dynamic setting must comply internally to the following name format : "<namespace>.<scope>.parameter.name".

Definition at line 18 of file ConfigResolverInterface.php.

## Member Function Documentation

## ◆ getDefaultNamespace()

eZ\Publish\Core\MVC\ConfigResolverInterface::getDefaultNamespace | ( |  | ) |

Returns the current default namespace.

Returns
  string

Implemented in eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\ConfigResolver, and eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\ChainConfigResolver.

## ◆ getParameter()

eZ\Publish\Core\MVC\ConfigResolverInterface::getParameter | ( |  | $paramName,
|  |  | $namespace = `null`,
|  |  | $scope = `null`
| ) |  |

Returns value for $paramName, in $namespace.

Parameters

  string | $paramName | The parameter name, without $prefix and the current scope (i.e. siteaccess name).
  string | $namespace | Namespace for the parameter name. If null, the default namespace should be used.
  string | $scope | The scope you need $paramName value for.

Returns
  mixed

Implemented in eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\ConfigResolver, and eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\ChainConfigResolver.

Referenced by eZ\Bundle\EzPublishCoreBundle\FieldType\RichText\Converter\Html5\__construct(), eZ\Bundle\EzPublishCoreBundle\FieldType\RichText\Converter\Html5Edit\__construct(), eZ\Bundle\EzPublishCoreBundle\FieldType\RichText\Converter\Html5Input\__construct(), eZ\Publish\Core\FieldType\Validator\FileExtensionBlackListValidator\__construct(), and eZ\Publish\Core\MVC\Symfony\Security\Authentication\DefaultAuthenticationSuccessHandler\setConfigResolver().

## ◆ hasParameter()

eZ\Publish\Core\MVC\ConfigResolverInterface::hasParameter | ( |  | $paramName,
|  |  | $namespace = `null`,
|  |  | $scope = `null`
| ) |  |

Checks if $paramName exists in $namespace.

Parameters

  string | $paramName |
  string | $namespace | If null, the default namespace should be used.
  string | $scope | The scope you need $paramName value for.

Returns
  bool

Implemented in eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\ConfigResolver, and eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\ChainConfigResolver.

## ◆ setDefaultNamespace()

eZ\Publish\Core\MVC\ConfigResolverInterface::setDefaultNamespace | ( |  | $defaultNamespace | ) |

Changes the default namespace to look parameter into.

Parameters

  string | $defaultNamespace |

Implemented in eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\ConfigResolver, and eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\ChainConfigResolver.

The documentation for this interface was generated from the following file:

- ConfigResolverInterface.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.